import { r as registerInstance, h } from './index-75c52ae9.js';

const radioCss = ".radio,.checkbox{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.radio input,.checkbox input{cursor:pointer}.radio:hover,.checkbox:hover{color:#363636}[disabled].radio,[disabled].checkbox,fieldset[disabled] .radio,fieldset[disabled] .checkbox{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:0.5em}";

const Radio = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * Input class
         */
        this.inputClass = '';
        /**
         * Label Classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    render() {
        return (h("label", { class: {
                radio: true,
                [this.labelClass]: Boolean(this.labelClass),
            } }, h("input", { class: {
                [this.inputClass]: Boolean(this.inputClass),
            }, type: "radio", name: this.name, disabled: this.disabled, checked: this.checked }), h("slot", null)));
    }
};
Radio.style = radioCss;

export { Radio as bm_radio };
