import { Component, Prop, h } from '@stencil/core';
export class Panel {
    render() {
        return (h("nav", { class: {
                panel: true,
                [this.color]: Boolean(this.color),
            } },
            h("slot", null)));
    }
    static get is() { return "bm-panel"; }
    static get originalStyleUrls() { return {
        "$": ["panel.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["panel.css"]
    }; }
    static get properties() { return {
        "color": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-danger' | 'is-warning'",
                "resolved": "\"is-danger\" | \"is-info\" | \"is-link\" | \"is-primary\" | \"is-success\" | \"is-warning\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Panel color"
            },
            "attribute": "color",
            "reflect": false
        }
    }; }
}
