import { Component, Prop, h } from '@stencil/core';
export class Image {
    render() {
        return (h("figure", { class: {
                image: true,
                [this.size]: Boolean(this.size),
            } },
            h("slot", null)));
    }
    static get is() { return "bm-image"; }
    static get originalStyleUrls() { return {
        "$": ["image.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["image.css"]
    }; }
    static get properties() { return {
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "| 'is-16x16'\n    | 'is-24x24'\n    | 'is-32x32'\n    | 'is-48x48'\n    | 'is-64x64'\n    | 'is-96x96'\n    | 'is-128x128'",
                "resolved": "\"is-128x128\" | \"is-16x16\" | \"is-24x24\" | \"is-32x32\" | \"is-48x48\" | \"is-64x64\" | \"is-96x96\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
