import { Component, Prop, h } from '@stencil/core';
export class Tags {
    constructor() {
        /**
         * Has addons
         */
        this.hasAddons = false;
    }
    render() {
        return (h("div", { class: {
                tags: true,
                'has-addons': this.hasAddons,
                [this.size]: Boolean(this.size),
            } },
            h("slot", null)));
    }
    static get is() { return "bm-tags"; }
    static get originalStyleUrls() { return {
        "$": ["tags.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["tags.css"]
    }; }
    static get properties() { return {
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'are-medium' | 'are-large'",
                "resolved": "\"are-large\" | \"are-medium\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Size"
            },
            "attribute": "size",
            "reflect": false
        },
        "hasAddons": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Has addons"
            },
            "attribute": "has-addons",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
