import { Component, Prop, h } from '@stencil/core';
export class Checkbox {
    constructor() {
        /**
         * Input classes
         */
        this.inputClass = '';
        /**
         * Label classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    render() {
        return (h("label", { class: {
                checkbox: true,
                [this.labelClass]: Boolean(this.labelClass),
            } },
            h("input", { type: "checkbox", class: {
                    [this.inputClass]: Boolean(this.inputClass),
                }, disabled: this.disabled, checked: this.checked }),
            h("slot", null)));
    }
    static get is() { return "bm-checkbox"; }
    static get originalStyleUrls() { return {
        "$": ["checkbox.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["checkbox.css"]
    }; }
    static get properties() { return {
        "inputClass": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Input classes"
            },
            "attribute": "input-class",
            "reflect": false,
            "defaultValue": "''"
        },
        "labelClass": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Label classes"
            },
            "attribute": "label-class",
            "reflect": false,
            "defaultValue": "''"
        },
        "checked": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Checked"
            },
            "attribute": "checked",
            "reflect": false,
            "defaultValue": "false"
        },
        "disabled": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Disabled"
            },
            "attribute": "disabled",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
