import { Component, Prop, h, Host } from '@stencil/core';
export class Container {
    constructor() {
        /**
         * Fluid container
         */
        this.isFluid = false;
    }
    render() {
        return (h(Host, { class: {
                container: true,
                'is-fluid': this.isFluid,
                [this.breakpoint]: Boolean(this.breakpoint),
            } }));
    }
    static get is() { return "bm-container"; }
    static get originalStyleUrls() { return {
        "$": ["container.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["container.css"]
    }; }
    static get properties() { return {
        "breakpoint": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-widescreen' | 'is-fullhd'",
                "resolved": "\"is-fullhd\" | \"is-widescreen\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Container breakpoint"
            },
            "attribute": "breakpoint",
            "reflect": false
        },
        "isFluid": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Fluid container"
            },
            "attribute": "is-fluid",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
